@subheading gsasl_base64_to
@anchor{gsasl_base64_to}
@deftypefun {int} {gsasl_base64_to} (const char * @var{in}, size_t @var{inlen}, char ** @var{out}, size_t * @var{outlen})
@var{in}: input byte array

@var{inlen}: size of input byte array

@var{out}: pointer to newly allocated output byte array

@var{outlen}: pointer to size of newly allocated output byte array

Encode data as base64.  The string is zero terminated, and @code{outlen}
holds the length excluding the terminating zero.  The @code{out} buffer
must be deallocated by the caller.

@strong{Return value:} Returns @code{GSASL_OK} on success, or @code{GSASL_MALLOC_ERROR}
if input was too large or memory allocation fail.

@strong{Since:} 0.2.2
@end deftypefun

